Bug 1260316 - [abrt] dnf: main.py:94:main:NameError: name 'self' is not defined
[abrt] dnf: main.py:94:main:NameError: name 'self' is not defined
Status: CLOSED DUPLICATE of bug 1259194
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f5f57df4ed8e864b1ab7eb92484...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-05 18:47 EDT by Ashish Bhurtel
Modified: 2015-09-06 10:15 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-06 10:15:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.26 KB, text/plain)
2015-09-05 18:47 EDT, Ashish Bhurtel
no flags Details
File: environ (1.94 KB, text/plain)
2015-09-05 18:47 EDT, Ashish Bhurtel
no flags Details

  None (edit)
Description Ashish Bhurtel 2015-09-05 18:47:43 EDT
Version-Release number of selected component:
dnf-1.1.1-1.fc24

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python3 -OO /bin/dnf distribution-synchronization
executable:     /bin/dnf
kernel:         4.3.0-0.rc0.git6.1.fc24.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
main.py:94:main:NameError: name 'self' is not defined

Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 148, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 160, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 535, in resolve
    raise exc
dnf.exceptions.DepsolveError: package libreoffice-core-1:5.0.1.2-1.fc24.x86_64 requires libboost_date_time.so.1.58.0()(64bit), but none of the providers can be installed.
package libreoffice-calc-1:5.0.1.2-1.fc24.x86_64 requires libboost_iostreams.so.1.58.0()(64bit), but none of the providers can be installed.
package libreoffice-core-1:5.0.1.2-1.fc24.x86_64 requires libboost_date_time.so.1.58.0()(64bit), but none of the providers can be installed.
package libreoffice-calc-1:5.0.1.2-1.fc24.x86_64 requires libboost_iostreams.so.1.58.0()(64bit), but none of the providers can be installed.
package liborcus-0.7.1-6.fc24.x86_64 requires libboost_system.so.1.58.0()(64bit), but none of the providers can be installed.
package liborcus-0.7.1-6.fc24.x86_64 requires libboost_system.so.1.58.0()(64bit), but none of the providers can be installed.
package liborcus-0.7.1-6.fc24.x86_64 requires libboost_system.so.1.58.0()(64bit), but none of the providers can be installed.
package liborcus-0.7.1-6.fc24.x86_64 requires libboost_system.so.1.58.0()(64bit), but none of the providers can be installed.
package liborcus-0.7.1-6.fc24.x86_64 requires libboost_system.so.1.58.0()(64bit), but none of the providers can be installed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 195, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 94, in main
    demands = self.cli.demands
NameError: name 'self' is not defined

Local variables in innermost frame:
args: ['distribution-synchronization']
base: <dnf.cli.cli.BaseCli object at 0x7f3ac0dbcc88>

Potential duplicate: bug 1259672
Comment 1 Ashish Bhurtel 2015-09-05 18:47:45 EDT
Created attachment 1070542 [details]
File: backtrace
Comment 2 Ashish Bhurtel 2015-09-05 18:47:46 EDT
Created attachment 1070543 [details]
File: environ
Comment 3 Ömer Fadıl Usta 2015-09-05 19:36:28 EDT
duplicate of 1259194
Comment 4 Parag Nemade 2015-09-06 10:15:57 EDT

*** This bug has been marked as a duplicate of bug 1259194 ***

Note You need to log in before you can comment on or make changes to this bug.